Subject: Re: [v2] drivers/watchdog/Kconfig: Update CONFIG_WATCHDOG_RTAS dependencies

From: Michael Ellerman <[email-masked]>
Date: Mon, 19 Jun 2017 22:25:35 +1000 (AEST)

On Mon, 2017-05-29 at 13:26:28 UTC, Murilo Opsfelder Araujo wrote:
> drivers/watchdog/wdrtas.c uses symbols defined in arch/powerpc/kernel/rtas.c,
> which are exported iff CONFIG_PPC_RTAS is selected. Building wdrtas.c without
> setting CONFIG_PPC_RTAS throws the following errors:
> 
>     ERROR: ".rtas_token" [drivers/watchdog/wdrtas.ko] undefined!
>     ERROR: "rtas_data_buf" [drivers/watchdog/wdrtas.ko] undefined!
>     ERROR: "rtas_data_buf_lock" [drivers/watchdog/wdrtas.ko] undefined!
>     ERROR: ".rtas_get_sensor" [drivers/watchdog/wdrtas.ko] undefined!
>     ERROR: ".rtas_call" [drivers/watchdog/wdrtas.ko] undefined!
> 
> This was identified during a randconfig build where CONFIG_WATCHDOG_RTAS=m and
> CONFIG_PPC_RTAS was not set. Logs are here:
> 
>     http://kisskb.ellerman.id.au/kisskb/buildresult/12982152/
> 
> This patch fixes the issue by updating CONFIG_WATCHDOG_RTAS to depend on just
> CONFIG_PPC_RTAS, removing COMPILE_TEST entirely.
> 
> Signed-off-by: Murilo Opsfelder Araujo <[email-masked]>
> Reviewed-by: Guenter Roeck <[email-masked]>
> Acked-by: Michael Ellerman <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/42bed042556261b56aa92e05f4f388

cheers